package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class CaraMasuk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "CaraMasuk_M")
public class CaraMasukVO extends BaseMasterVO {
	@Caption(value="Cara Masuk")
	private String caraMasuk;

	public void setCaraMasuk(String caraMasuk) {
		this.caraMasuk = caraMasuk;
	}

	@Column(name = "CaraMasuk", nullable = false , length = 30)
	public String getCaraMasuk(){
		return this.caraMasuk;
	}

	@Caption(value="Kode Cara Masuk")
	private Byte kdCaraMasuk;

	public void setKdCaraMasuk(Byte kdCaraMasuk) {
		this.kdCaraMasuk = kdCaraMasuk;
	}

	@Column(name = "KdCaraMasuk", nullable = false )
	public Byte getKdCaraMasuk(){
		return this.kdCaraMasuk;
	}

	@Caption(value="QCara Masuk")
	private Byte qCaraMasuk;

	public void setqCaraMasuk(Byte qCaraMasuk) {
		this.qCaraMasuk = qCaraMasuk;
	}

	@Column(name = "QCaraMasuk", nullable = false )
	public Byte getqCaraMasuk(){
		return this.qCaraMasuk;
	}


}

